跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 25.6.2, which is no longer the latest release. See the latest release.

Get user permissions in organization

GET
/users/{username}/orgs/{org}/permissions
curl --request GET \
--url https://gitea.example.com/api/v1/users/example/orgs/example/permissions \
--header 'Authorization: Basic <credentials>'
username
required
string

Username of the user whose permissions are to be obtained

org
required
string

Name of the organization

OrganizationPermissions

Media typeapplication/json

OrganizationPermissions list different users permissions on an organization

object
can_create_repository

Whether the user can create repositories in the organization

boolean
can_read

Whether the user can read the organization

boolean
can_write

Whether the user can write to the organization

boolean
is_admin

Whether the user is an admin of the organization

boolean
is_owner

Whether the user is an owner of the organization

boolean
Examplegenerated
{
"can_create_repository": true,
"can_read": true,
"can_write": true,
"is_admin": true,
"is_owner": true
}

APIForbiddenError is a forbidden error response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json